Package org.linphone.core

# Interface RecorderParams

public interface RecorderParams
Object containing various parameters of a `Recorder`.
see: `Core.createRecorder(org.linphone.core.RecorderParams)`

## Method Summary

Modifier and Type
Method
Description
`RecorderParams`
`clone()`
Clones a `RecorderParams` object.
`AudioDevice`
`getAudioDevice()`
Retrieves the `AudioDevice` object.
`MediaFileFormat`
`getFileFormat()`
Retrieves the `MediaFileFormat`.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`String`
`getVideoCodec()`
Retrieves the video codec.
`String`
`getWebcamName()`
Retrieves the webcam name.
`Object`
`getWindowId()`
Retrieves the window id used to display the camera preview.
`void`
`setAudioDevice(AudioDevice device)`
Sets the `AudioDevice` object.
`void`
`setFileFormat(MediaFileFormat format)`
Sets the `MediaFileFormat`.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`void`
`setVideoCodec(String videoCodec)`
Sets the video codec.
`void`
`setWebcamName(String webcamName)`
Sets the webcam name.
`void`
`setWindowId(Object windowId)`
Sets the window id to use to display the camera preview.
`String`
`toString()`

## Method Details

### getAudioDevice

AudioDevice getAudioDevice()
Retrieves the `AudioDevice` object.

Returns:
  The `AudioDevice` object.

### setAudioDevice

void setAudioDevice(AudioDevice device)
Sets the `AudioDevice` object.

Parameters:
  `device` - The `AudioDevice` object to set.

### getFileFormat

MediaFileFormat getFileFormat()
Retrieves the `MediaFileFormat`.

Returns:
  the `MediaFileFormat`.

### setFileFormat

void setFileFormat(MediaFileFormat format)
Sets the `MediaFileFormat`.
see: `Core.getSupportedFileFormatsList()` for information about supported
file formats.

Parameters:
  `format` - The `MediaFileFormat` to set.

### getVideoCodec

String getVideoCodec()
Retrieves the video codec.

Returns:
  The video codec.

### setVideoCodec

void setVideoCodec(String videoCodec)
Sets the video codec.

Parameters:
  `videoCodec` - The video codec to set.

### getWebcamName

String getWebcamName()
Retrieves the webcam name.

Returns:
  The webcam name.

### setWebcamName

void setWebcamName(String webcamName)
Sets the webcam name.

Parameters:
  `webcamName` - The webcam name to set.

### getWindowId

Object getWindowId()
Retrieves the window id used to display the camera preview.

Returns:
  the window id.

### setWindowId

void setWindowId(Object windowId)
Sets the window id to use to display the camera preview.
see: linphone_core_set_native_window_id() for a general discussion about window
ID types.

Parameters:
  `windowId` - The window id to set.

### clone

RecorderParams clone()
Clones a `RecorderParams` object.

Returns:
  The cloned `RecorderParams` object.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`